Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list affiliates for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string>

The field to sort results by.

Available options:
id,
created_at,
cached_total_referrals,
cached_total_rewards
query
string

Search affiliates by username.

status
enum<string>

Filter by affiliate status (active or archived).

Available options:
active,
archived,
deleted

Response

A successful response

The connection type for Affiliate.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.